-- Active: 1708945050417@@127.0.0.1@3306@w3schools
/*  aufgabe_ls4_02.sql - Aufgaben für den Umgang mit SQL (II) - Daten einer Tabelle manipulieren
    Name, Organisaion:          Markus Breuer, BK-GuT
    Erstellt, Letzte Änderung:  24.03.2021, 21.06.2022
*/

/* Datenbank auswählen */
USE w3schools;

/*Für alle Spediteuere (supplier) die ID, den Namen und das Land ausgeben */
SELECT
    *
FROM
    shippers;

/* a) Fügen einen Spediteur (shipper) namens "UPS Maxe" und einer freigewählten Telefonnummer ein */
INSERT INTO
    shippers (ShipperName, Phone)
VALUES
    ("UPS Maxe", "(123)456-7890");

/* b) Ändere die Telefonnummer von "UPS Maxe" zu "(49)241-12345" */
UPDATE
    shippers
SET
    Phone = "(49)241-12345"
WHERE
    ShipperName LIKE "UPS Maxe";

/* c) Entferne "UPS Maxe" wieder aus der Datenbank */
DELETE FROM
    shippers
WHERE
    ShipperName LIKE "UPS Maxe";

/* d) Füge drei Produkte beliebigen Namens mit einer INSERT-Anweisung ein */
INSERT INTO
    products (ProductName, SupplierID, CategoryID, Unit, Price)
VALUES
    ("Produkt 1", 1, 1, "kg", 25.5),
    ("Produkt 2", 1, 2, "t", 25.5),
    ("Produkt 3", 3, 4, "g", 25.5);
/* e) Die Datei Kategorien.csv enthält die Daten von 20 Kategorien. Füge diese mit einem LOAD-Befehl in die entsprechende Tabelle ein */
LOAD DATA INFILE "Z:/Schule/FISI-SODA (LF5)/Aufgaben/kategorien.csv" INTO TABLE categories FIELDS TERMINATED BY ',' (CategoryName, Description);

/* f) Führen Sie bei dem Kunden mit der ID 1 folgende Änderungen mit einer UPDATE-Anweisung durch:
 Kontaktname: Ihr Name, Stadt: Aachen, PLZ: 52068 */
UPDATE
    customers
SET
    ContactName = "Markus Breuer",
    City = "Aachen",
    PostalCode = 52068
WHERE
    CustomerID = 1;

/* g) Der Kontaktpersonenname aller Lieferanten aus Deutschland soll "Otto Waalkes" heißen */
UPDATE
    suppliers
SET
    ContactName = "Otto Waalkes"
WHERE
    Country LIKE "Germany";

/* h) Der Kontaktpersonenname aller Kunden soll "Charly Chaplin" heißen */
UPDATE
    customers
SET
    ContactName = "Charly Chaplin";

/* i) Löschen Sie Bestellung und die Bestellungsdetails der Bestellung mit der ID  10248 */
DELETE FROM
    order_details
WHERE
    OrderID = 10248;

DELETE FROM
    orders
WHERE
    OrderID = 10248;

/* j) Löschen Sie den Inhalt aller Tabellen */
DELETE  from order_details;
DELETE  from  orders;
DELETE FROM  products;
DELETE FROM suppliers;
DELETE FROM categories;
DELETE FROM customers;
DELETE from employees;
DELETE FROM shippers;